/**
 * ApplicationMediaType2.java
 *
 * File generated from the medication2::ApplicationMediaType2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ApplicationMediaType2.
 *
 * 
 */

@XmlType(name = "ApplicationMediaType")
@XmlEnum
@XmlRootElement(name = "ApplicationMediaType2")
public enum ApplicationMediaType2 {
	@XmlEnumValue("application/dicom")
	APPLICATIONDICOM("application/dicom"),
	@XmlEnumValue("application/msword")
	APPLICATIONMSWORD("application/msword"),
	@XmlEnumValue("application/pdf")
	APPLICATIONPDF("application/pdf");
	
	private final String value;

    ApplicationMediaType2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ApplicationMediaType2 fromValue(String v) {
        for (ApplicationMediaType2 c: ApplicationMediaType2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
